כתובות webhook
http
GET https://smsprovider-web.vercel.app/api/v1/webhooksהכתובות והאירועים שהן מקבלות.
אימות: Authorization: Bearer bm_live_… · Scope נדרש: webhooks
תשובה
200 — WebhookEndpointPage
שגיאות
| סטטוס | קוד |
|---|---|
| 401 | unauthorized |
| 403 | insufficient_scope |
| 429 | rate_limited |
| 500 | internal_error |
דוגמאות
curl
bash
curl -X GET "https://smsprovider-web.vercel.app/api/v1/webhooks" \
-H "Authorization: Bearer $BATLER_API_KEY"Node.js
ts
import { BatlerSMS } from "@batler/sms";
const sms = new BatlerSMS({ apiKey: process.env.BATLER_API_KEY! });
const result = await sms.webhooks.list();PHP
php
<?php
$ch = curl_init("https://smsprovider-web.vercel.app/api/v1/webhooks");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer " . getenv("BATLER_API_KEY"),
"Content-Type: application/json",
],
]);
$result = json_decode(curl_exec($ch), true);Python
python
import os, uuid, requests
resp = requests.request(
"GET", "https://smsprovider-web.vercel.app/api/v1/webhooks",
headers={"Authorization": f"Bearer {os.environ['BATLER_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
result = resp.json()C#
csharp
using var http = new HttpClient();
http.DefaultRequestHeaders.Authorization = new("Bearer", Environment.GetEnvironmentVariable("BATLER_API_KEY"));
var req = new HttpRequestMessage(HttpMethod.Get, "https://smsprovider-web.vercel.app/api/v1/webhooks");
var res = await http.SendAsync(req);
var result = await res.Content.ReadAsStringAsync();